> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Platform Model Options

> List every model the platform can offer for a surface (chat or flows), grouped by key.



## OpenAPI

````yaml GET /v1/ai-providers/model-options/platform
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/ai-providers/model-options/platform:
    get:
      tags:
        - ai-providers
      description: >-
        List every model the platform can offer for a surface (chat or flows),
        grouped by key.
      parameters:
        - schema:
            type: string
            enum:
              - flow
              - agent
              - chat
          in: query
          name: surface
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tiers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        emoji:
                          type: string
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        isDefault:
                          type: boolean
                        isFast:
                          type: boolean
                        main:
                          type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - openai
                                - openrouter
                                - anthropic
                                - azure
                                - google
                                - activepieces
                                - cloudflare-gateway
                                - custom
                                - bedrock
                                - vertex
                                - mistral
                                - xai
                                - deepseek
                                - zai
                                - qwen
                                - minimax
                                - moonshot
                                - meta
                                - nvidia
                            modelId:
                              type: string
                            name:
                              type: string
                            keyName:
                              type: string
                            metadata:
                              type: object
                              properties:
                                contextTokens:
                                  type: number
                                maxOutputTokens:
                                  type: number
                                releaseDate:
                                  type: string
                                inputCostPerMillionTokens:
                                  type: number
                                outputCostPerMillionTokens:
                                  type: number
                                cacheReadCostPerMillionTokens:
                                  type: number
                                cacheWriteCostPerMillionTokens:
                                  type: number
                                supportsToolCalling:
                                  type: boolean
                                supportsReasoning:
                                  type: boolean
                                supportsVision:
                                  type: boolean
                              additionalProperties: false
                          required:
                            - provider
                            - modelId
                            - name
                            - keyName
                          additionalProperties: false
                        fallbacks:
                          type: array
                          items:
                            type: object
                            properties:
                              provider:
                                type: string
                                enum:
                                  - openai
                                  - openrouter
                                  - anthropic
                                  - azure
                                  - google
                                  - activepieces
                                  - cloudflare-gateway
                                  - custom
                                  - bedrock
                                  - vertex
                                  - mistral
                                  - xai
                                  - deepseek
                                  - zai
                                  - qwen
                                  - minimax
                                  - moonshot
                                  - meta
                                  - nvidia
                              modelId:
                                type: string
                              name:
                                type: string
                              keyName:
                                type: string
                              metadata:
                                type: object
                                properties:
                                  contextTokens:
                                    type: number
                                  maxOutputTokens:
                                    type: number
                                  releaseDate:
                                    type: string
                                  inputCostPerMillionTokens:
                                    type: number
                                  outputCostPerMillionTokens:
                                    type: number
                                  cacheReadCostPerMillionTokens:
                                    type: number
                                  cacheWriteCostPerMillionTokens:
                                    type: number
                                  supportsToolCalling:
                                    type: boolean
                                  supportsReasoning:
                                    type: boolean
                                  supportsVision:
                                    type: boolean
                                additionalProperties: false
                            required:
                              - provider
                              - modelId
                              - name
                              - keyName
                            additionalProperties: false
                      required:
                        - id
                        - name
                        - emoji
                        - isDefault
                        - isFast
                        - main
                        - fallbacks
                      additionalProperties: false
                  credits:
                    anyOf:
                      - type: object
                        properties:
                          providerConfigId:
                            type: string
                          defaultTierId:
                            type: string
                          tiers:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                label:
                                  type: string
                                model:
                                  type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - openai
                                        - openrouter
                                        - anthropic
                                        - azure
                                        - google
                                        - activepieces
                                        - cloudflare-gateway
                                        - custom
                                        - bedrock
                                        - vertex
                                        - mistral
                                        - xai
                                        - deepseek
                                        - zai
                                        - qwen
                                        - minimax
                                        - moonshot
                                        - meta
                                        - nvidia
                                    modelId:
                                      type: string
                                    name:
                                      type: string
                                    keyName:
                                      type: string
                                    metadata:
                                      type: object
                                      properties:
                                        contextTokens:
                                          type: number
                                        maxOutputTokens:
                                          type: number
                                        releaseDate:
                                          type: string
                                        inputCostPerMillionTokens:
                                          type: number
                                        outputCostPerMillionTokens:
                                          type: number
                                        cacheReadCostPerMillionTokens:
                                          type: number
                                        cacheWriteCostPerMillionTokens:
                                          type: number
                                        supportsToolCalling:
                                          type: boolean
                                        supportsReasoning:
                                          type: boolean
                                        supportsVision:
                                          type: boolean
                                      additionalProperties: false
                                  required:
                                    - provider
                                    - modelId
                                    - name
                                    - keyName
                                  additionalProperties: false
                              required:
                                - id
                                - label
                                - model
                              additionalProperties: false
                        required:
                          - providerConfigId
                          - defaultTierId
                          - tiers
                        additionalProperties: false
                      - type: 'null'
                  keys:
                    type: array
                    items:
                      type: object
                      properties:
                        providerConfigId:
                          type: string
                        provider:
                          type: string
                          enum:
                            - openai
                            - openrouter
                            - anthropic
                            - azure
                            - google
                            - activepieces
                            - cloudflare-gateway
                            - custom
                            - bedrock
                            - vertex
                            - mistral
                            - xai
                            - deepseek
                            - zai
                            - qwen
                            - minimax
                            - moonshot
                            - meta
                            - nvidia
                        name:
                          type: string
                        models:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              type:
                                type: string
                                enum:
                                  - image
                                  - text
                              metadata:
                                type: object
                                properties:
                                  contextTokens:
                                    type: number
                                  maxOutputTokens:
                                    type: number
                                  releaseDate:
                                    type: string
                                  inputCostPerMillionTokens:
                                    type: number
                                  outputCostPerMillionTokens:
                                    type: number
                                  cacheReadCostPerMillionTokens:
                                    type: number
                                  cacheWriteCostPerMillionTokens:
                                    type: number
                                  supportsToolCalling:
                                    type: boolean
                                  supportsReasoning:
                                    type: boolean
                                  supportsVision:
                                    type: boolean
                                additionalProperties: false
                            required:
                              - id
                              - name
                              - type
                            additionalProperties: false
                      required:
                        - providerConfigId
                        - provider
                        - name
                        - models
                      additionalProperties: false
                  defaultChoice:
                    anyOf:
                      - oneOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - tier
                              tierId:
                                type: string
                            required:
                              - type
                              - tierId
                            additionalProperties: false
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - model
                              provider:
                                type: string
                                enum:
                                  - openai
                                  - openrouter
                                  - anthropic
                                  - azure
                                  - google
                                  - activepieces
                                  - cloudflare-gateway
                                  - custom
                                  - bedrock
                                  - vertex
                                  - mistral
                                  - xai
                                  - deepseek
                                  - zai
                                  - qwen
                                  - minimax
                                  - moonshot
                                  - meta
                                  - nvidia
                              providerConfigId:
                                type: string
                              modelId:
                                type: string
                            required:
                              - type
                              - provider
                              - providerConfigId
                              - modelId
                            additionalProperties: false
                      - type: 'null'
                  movedTiers:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                  specificModelsHidden:
                    type: boolean
                required:
                  - tiers
                  - keys
                  - movedTiers
                  - specificModelsHidden
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.